Skip to main content
GET
/
ai
/
actor-projects
/
{project_id}
/
board
/
items
/
{item_id}
/
filesystem
/
file
Read board item filesystem file
curl --request GET \
  --url https://api.wacht.dev/ai/actor-projects/{project_id}/board/items/{item_id}/filesystem/file \
  --header 'Authorization: <api-key>'
{
  "path": "<string>",
  "name": "<string>",
  "mime_type": "<string>",
  "is_text": true,
  "size_bytes": 123,
  "truncated": true,
  "content": "<string>",
  "content_base64": "<string>"
}

Authorizations

Authorization
string
header
required

Path Parameters

project_id
string
required
item_id
string
required

Query Parameters

path
string
required

Response

200 - application/json

File content

path
string
name
string
mime_type
string
is_text
boolean
size_bytes
integer
truncated
boolean
content
string
content_base64
string